import { z, defineCollection } from 'astro:content';


const postsCollection = defineCollection({
    type: "content",
    schema: z.object({
        title: z.string(),
        description: z.string(),
        pubDate: z.date(),
        image: z.string().optional(),
        tags: z.array(z.string()),
    }),
});

const projectsCollection = defineCollection({
    type: "content",
    schema: z.object({
        title: z.string(),
        description: z.string(),
        image: z.string().optional(),
        tags: z.array(z.string()),
    }),
});

export const collections = {
    "posts": postsCollection,
    "projects": projectsCollection,
};
